Package ru.bitel.common.inet

# Class IpAddressRangeSetEntry<R>

java.lang.Object
ru.bitel.common.util.SegmentedRangeSet<IpAddress,​byte[],​R>
ru.bitel.common.inet.IpAddressRangeSetEntry<R>

    public class IpAddressRangeSetEntry<R>
    extends ru.bitel.common.util.SegmentedRangeSet<IpAddress,​byte[],​R>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `IpAddressRangeSetEntry.IpAddressSegmenter<R>` |

  ## Nested classes/interfaces inherited from class ru.bitel.common.util.SegmentedRangeSet

  `ru.bitel.common.util.SegmentedRangeSet.Segmenter<K extends java.lang.Object,​R extends java.lang.Object>`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static java.util.Comparator<byte[]>` | `COMPARATOR` |
  `protected IpAddressRangeSetEntry.IpAddressSegmenter<R>` | `segmenter` |

  ### Fields inherited from class ru.bitel.common.util.SegmentedRangeSet

  `clazz, comparator, notSegmented, ranger, rangerClass, segments`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IpAddressRangeSetEntry​(java.lang.Class<R> clazz, ru.bitel.common.util.Ranger<R,​byte[]> ranger, boolean bites, int maskLength)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addAll​(IpAddress key, java.util.Set<R> set)` |
  `R` | `get​(IpAddress segment, byte[] key)` |
  `R` | `get​(IpAddress segmentKey, byte[] key, ru.bitel.common.util.Matcher<R> matcher)` |
  `ru.bitel.common.util.RangeSet2<R,​byte[]>` | `notSegmented()` |
  `void` | `removeAll​(IpAddress key, java.util.Set<R> set)` |
  `ru.bitel.common.util.RangeSet2<R,​byte[]>` | `segment​(IpAddress segmentKey)` |

  ### Methods inherited from class ru.bitel.common.util.SegmentedRangeSet

  `add, addAll, listContains, remove, size`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMPARATOR

    protected static final java.util.Comparator<byte[]> COMPARATOR

  - ### segmenter

    protected final IpAddressRangeSetEntry.IpAddressSegmenter<R> segmenter

- ## Constructor Details

  - ### IpAddressRangeSetEntry

    public IpAddressRangeSetEntry​(java.lang.Class<R> clazz, ru.bitel.common.util.Ranger<R,​byte[]> ranger, boolean bites, int maskLength)

- ## Method Details

  - ### get

    public R get​(IpAddress segment, byte[] key)
    Overrides:
      `get` in class `ru.bitel.common.util.SegmentedRangeSet<IpAddress,​byte[],​R>`

  - ### get

    public R get​(IpAddress segmentKey, byte[] key, ru.bitel.common.util.Matcher<R> matcher)
    Overrides:
      `get` in class `ru.bitel.common.util.SegmentedRangeSet<IpAddress,​byte[],​R>`

  - ### segment

    public ru.bitel.common.util.RangeSet2<R,​byte[]> segment​(IpAddress segmentKey)

  - ### notSegmented

    public ru.bitel.common.util.RangeSet2<R,​byte[]> notSegmented()

  - ### addAll

    public void addAll​(IpAddress key, java.util.Set<R> set)

  - ### removeAll

    public void removeAll​(IpAddress key, java.util.Set<R> set)